Subject: [Ltru] Stabilizing the order of subtag fields

From: "Doug Ewell" <[email-masked]>
Date: Wed, 11 Jun 2008 21:12:55 -0600

I propose that we establish a uniform (but completely NON-normative) 
order of fields within the Registry, starting with the next 
draft-4645bis.  This is to achieve 100% uniformity of a minor detail 
where we already have 99.9% uniformity.  This should have no negative 
impact on anybody or anything, since RFC 4646 and draft-4646bis don't 
specify the order of fields.  Nobody in the WG will have any additional 
work to do except me.

The proposed order is:

    Type
    Subtag (or Tag)
    Description
    Added
    Preferred-Value
    Deprecated
    Prefix
    Suppress-Script
    Macrolanguage
    Scope
    Comments

This corresponds to the order in which these fields are described in 
draft-4646bis-15, Section 3.1.2, except that Comments is moved to the 
end.  The only record in the existing Registry that does not already 
follow this order is region subtag 'GB', which has Comments before 
Added.

Feedback on this suggestion is welcome.  Lack of feedback, given the 
highly non-critical, pencil-pushing nature of this suggestion, will be 
taken as lack of objection.

--
Doug Ewell  *  Arvada, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 11 Jun 2008 20:22:45 -0700

I like it. Minor nits:

1. I would put Deprecated before Preferred-Value. It stands to reason that the mapping would follow the deprecation (there always is one for a preferred value; as you noted just now, the converse is not always true). Notice that this is the order of the subsections in the draft.

2. I can make the order in 3.1.2 match the order of the subsections and the registry itself. There is no reason to be inconsistent here.

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Doug Ewell
> Sent: Wednesday, June 11, 2008 8:13 PM
> To: LTRU Working Group
> Subject: [Ltru] Stabilizing the order of subtag fields
>

---

From: "Mark Davis" <[email-masked]>
Date: Wed, 11 Jun 2008 20:35:53 -0700

Good idea, Doug, and I like Addison's suggestions.

Mark

On Wed, Jun 11, 2008 at 8:22 PM, Phillips, Addison <[email-masked]>
wrote:

> I like it. Minor nits:
>
> 1. I would put Deprecated before Preferred-Value. It stands to reason that
> the mapping would follow the deprecation (there always is one for a
> preferred value; as you noted just now, the converse is not always true).
> Notice that this is the order of the subsections in the draft.
>
> 2. I can make the order in 3.1.2 match the order of the subsections and the
> registry itself. There is no reason to be inconsistent here.
>
> Addison
>
> Addison Phillips

---

From: "Doug Ewell" <[email-masked]>
Date: Wed, 11 Jun 2008 21:39:41 -0600

"Phillips, Addison" <addison at amazon dot com> wrote:

> 1. I would put Deprecated before Preferred-Value. It stands to reason 
> that the mapping would follow the deprecation (there always is one for 
> a preferred value; as you noted just now, the converse is not always 
> true). Notice that this is the order of the subsections in the draft.
>
> 2. I can make the order in 3.1.2 match the order of the subsections 
> and the registry itself. There is no reason to be inconsistent here.

I am fine with putting Deprecated before Preferred-Value as long as this 
is reflected in draft-4646bis.  (In fact, while you have 3.1.2 opened 
up, you might think about moving Comments to the end.  They really do 
belong after everything else IMHO.)

I note that this requires reordering all 19 instances of Preferred-Value 
in the current Registry, which isn't a problem for me, but others may 
possibly object.

---

From: "Kent Karlsson" <[email-masked]>
Date: Thu, 12 Jun 2008 09:20:48 +0200

I agree, except for that I'd prefer to have the "Scope" field,
when present, just after
> >     Subtag (or Tag)
(in both 4646bis and 4645bis).

Not that it matters all that much, but I'd like to have it a
bit closer to the Type and Subtag to make it a bit more prominent.

	/kent k

> Behalf Of Phillips, Addison
> Sent: Thursday, June 12, 2008 5:23 AM
> To: Doug Ewell; LTRU Working Group
> Subject: Re: [Ltru] Stabilizing the order of subtag fields
> 
> I like it. Minor nits:
> 
> 1. I would put Deprecated before Preferred-Value. It stands 
> to reason that the mapping would follow the deprecation 
> (there always is one for a preferred value; as you noted just 
> now, the converse is not always true). Notice that this is 
> the order of the subsections in the draft.
> 
> 2. I can make the order in 3.1.2 match the order of the 
> subsections and the registry itself. There is no reason to be 
> inconsistent here.
> 
> Addison
> 
> Addison Phillips

---

From: Peter Constable <[email-masked]>
Date: Thu, 12 Jun 2008 23:57:06 -0700

I’m okay with this. But let’s not go looking for ways to perfect things just because we can. (I’m wary of feature creep.)

Peter

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Wednesday, June 11, 2008 8:36 PM
To: Phillips, Addison
Cc: LTRU Working Group; Doug Ewell
Subject: Re: [Ltru] Stabilizing the order of subtag fields

Mark
On Wed, Jun 11, 2008 at 8:22 PM, Phillips, Addison <[email-masked]<mailto:[email-masked]>> wrote:
I like it. Minor nits:

Addison

Addison Phillips

> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On
> Behalf Of Doug Ewell
> [email-masked]<mailto:[email-masked]>
_______________________________________________
Ltru mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ltru